> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Consult data in SPC

This endpoint provides detailed results on documents of individuals or legal entities.

The response is returned in JSON format and includes registration data, document status, information on partners, business participation, stock records, protests, legal data and risk score analysis over time.

This data allows for a more accurate assessment of the profile consulted, assisting in risk analysis and strategic decision-making.


## OpenAPI

````yaml post /Bureau/ConsultarSPC
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Bureau.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Bureau/ConsultarSPC:
    post:
      tags:
        - BureauSync
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultaSPCCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultaSPCCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultaSPCCommand'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSPCResponse'
components:
  schemas:
    ConsultaSPCCommand:
      type: object
      properties:
        consulta:
          $ref: '#/components/schemas/ConsultaSPCRequest'
      additionalProperties: false
    ConsultaSPCResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        hasError:
          type: boolean
        possuiRestricao:
          type: boolean
        falha:
          type: boolean
        spcMixMaisPF:
          $ref: '#/components/schemas/SPCMixMaisPF'
        spcMixMaisPFConsultaRealizada:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFConsultaRealizada'
          nullable: true
        spcMixMaisPFConsultaDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFConsultaDetalhe'
          nullable: true
        spcMixMaisPFEndereco:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFEndereco'
          nullable: true
        spcMixMaisPFTelefone:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFTelefone'
          nullable: true
        spcpj:
          $ref: '#/components/schemas/SPCPJ'
        spcpjConsultaRealizada:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJConsultaRealizada'
          nullable: true
        spcpjConsultaDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJConsultaDetalhe'
          nullable: true
        spcpjEndereco:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJEndereco'
          nullable: true
        spcpjTelefone:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJTelefone'
          nullable: true
      additionalProperties: false
    ConsultaSPCRequest:
      type: object
      properties:
        documento:
          type: string
          nullable: true
        codigoProduto:
          type: string
          nullable: true
        consultaCompleta:
          type: boolean
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    SPCMixMaisPF:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        documentoFederal:
          type: string
          nullable: true
        dtInclusao:
          type: string
          format: date-time
        protocolo:
          type: string
          nullable: true
        dtNasc:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        estadoCivil:
          type: string
          nullable: true
        idade:
          type: integer
          format: int32
        nome:
          type: string
          nullable: true
        nomeMae:
          type: string
          nullable: true
        nomePai:
          type: string
          nullable: true
        rg:
          type: string
          nullable: true
        rguf:
          type: string
          nullable: true
        nroTituloEleitor:
          type: string
          nullable: true
        sexo:
          type: string
          nullable: true
        signo:
          type: string
          nullable: true
        situacao:
          type: string
          nullable: true
        dtSituacao:
          type: string
          nullable: true
        telefoneCelular:
          type: string
          nullable: true
        telefoneResidencial:
          type: string
          nullable: true
        telefoneComercial:
          type: string
          nullable: true
        telefoneFax:
          type: string
          nullable: true
        cep:
          type: string
          nullable: true
        logradouro:
          type: string
          nullable: true
        nroLogradouro:
          type: string
          nullable: true
        bairro:
          type: string
          nullable: true
        complemento:
          type: string
          nullable: true
        cidade:
          type: string
          nullable: true
        uf:
          type: string
          nullable: true
        score3Meses:
          type: integer
          format: int32
          nullable: true
        score3MesesMSG:
          type: string
          nullable: true
        score12Meses:
          type: integer
          format: int32
          nullable: true
        score12MesesMSG:
          type: string
          nullable: true
        xmlResult:
          type: string
          nullable: true
        spcMixMaisPFTelefone:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFTelefone'
          nullable: true
        spcMixMaisPFConsultaDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFConsultaDetalhe'
          nullable: true
        spcMixMaisPFEndereco:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFEndereco'
          nullable: true
        spcMixMaisPFConsultaRealizada:
          type: array
          items:
            $ref: '#/components/schemas/SPCMixMaisPFConsultaRealizada'
          nullable: true
      additionalProperties: false
    SPCMixMaisPFConsultaRealizada:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        item:
          type: string
          nullable: true
        qtde:
          type: integer
          format: int32
          nullable: true
        dtUltOcorrencia:
          type: string
          format: date-time
          nullable: true
        valor:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    SPCMixMaisPFConsultaDetalhe:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        nomeAssociado:
          type: string
          nullable: true
        dtConsulta:
          type: string
          format: date-time
          nullable: true
        entidadeOrigem:
          type: string
          nullable: true
      additionalProperties: false
    SPCMixMaisPFEndereco:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        cep:
          type: string
          nullable: true
        logradouro:
          type: string
          nullable: true
        nroLogradouro:
          type: string
          nullable: true
        bairro:
          type: string
          nullable: true
        complemento:
          type: string
          nullable: true
        cidade:
          type: string
          nullable: true
        uf:
          type: string
          nullable: true
      additionalProperties: false
    SPCMixMaisPFTelefone:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        ddd:
          type: string
          nullable: true
        numero:
          type: string
          nullable: true
        qtde:
          type: integer
          format: int32
      additionalProperties: false
    SPCPJ:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        documentoFederal:
          type: string
          nullable: true
        dtInclusao:
          type: string
          format: date-time
        protocolo:
          type: string
          nullable: true
        dataFundacao:
          type: string
          nullable: true
        razaoSocial:
          type: string
          nullable: true
        razaoSocialAnterior:
          type: string
          nullable: true
        nomeComercial:
          type: string
          nullable: true
        homePage:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        inscricaoEstadual:
          type: string
          nullable: true
        numeroNIRENIRC:
          type: string
          nullable: true
        valorCapitalSocial:
          type: string
          nullable: true
        situacaoRFB:
          type: string
          nullable: true
        dtSituacaoRFB:
          type: string
          nullable: true
        situacaoIE:
          type: string
          nullable: true
        dtSituacaoIE:
          type: string
          nullable: true
        naturezaJuridica:
          type: string
          nullable: true
        atividades:
          type: string
          nullable: true
        telefone:
          type: string
          nullable: true
        telefoneFax:
          type: string
          nullable: true
        cep:
          type: string
          nullable: true
        logradouro:
          type: string
          nullable: true
        nroLogradouro:
          type: string
          nullable: true
        bairro:
          type: string
          nullable: true
        complemento:
          type: string
          nullable: true
        cidade:
          type: string
          nullable: true
        uf:
          type: string
          nullable: true
        score12Meses:
          type: integer
          format: int32
          nullable: true
        score12MesesMSG:
          type: string
          nullable: true
        score3Meses:
          type: integer
          format: int32
          nullable: true
        score3MesesMSG:
          type: string
          nullable: true
        xmlResult:
          type: string
          nullable: true
        spcpjTelefone:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJTelefone'
          nullable: true
        spcpjConsultaDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJConsultaDetalhe'
          nullable: true
        spcpjEndereco:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJEndereco'
          nullable: true
        spcpjConsultaRealizada:
          type: array
          items:
            $ref: '#/components/schemas/SPCPJConsultaRealizada'
          nullable: true
      additionalProperties: false
    SPCPJConsultaRealizada:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        item:
          type: string
          nullable: true
        qtde:
          type: integer
          format: int32
          nullable: true
        dtUltOcorrencia:
          type: string
          format: date-time
          nullable: true
        valor:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    SPCPJConsultaDetalhe:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        nomeAssociado:
          type: string
          nullable: true
        dtConsulta:
          type: string
          format: date-time
          nullable: true
        entidadeOrigem:
          type: string
          nullable: true
      additionalProperties: false
    SPCPJEndereco:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        cep:
          type: string
          nullable: true
        logradouro:
          type: string
          nullable: true
        nroLogradouro:
          type: string
          nullable: true
        bairro:
          type: string
          nullable: true
        complemento:
          type: string
          nullable: true
        cidade:
          type: string
          nullable: true
        uf:
          type: string
          nullable: true
      additionalProperties: false
    SPCPJTelefone:
      type: object
      properties:
        id:
          type: integer
          format: int32
        codigo:
          type: string
          format: uuid
        codigoConsulta:
          type: string
          format: uuid
        ddd:
          type: string
          nullable: true
        numero:
          type: string
          nullable: true
        qtde:
          type: integer
          format: int32
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````